## ros-melodic-leo-simulator 0.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(leo_simulator)
find_package(catkin REQUIRED)
catkin_metapackage()

## ros-melodic-leo-simulator 0.1.3

=== debian/changelog ===
ros-melodic-leo-simulator (0.1.3-1stretch) stretch; urgency=high



 -- Błażej Sowa <blazej@turtlerover.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-melodic-leo-simulator (0.1.2-1stretch) stretch; urgency=high

  * Add leo_simulator metapackage

 -- Błażej Sowa <blazej@turtlerover.com>  Tue, 06 Oct 2020 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-leo-simulator
Section: misc
Priority: optional
Maintainer: Błażej Sowa <blazej@turtlerover.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin
Homepage: http://wiki.ros.org/leo_simulator
Standards-Version: 3.9.2

Package: ros-melodic-leo-simulator
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-leo-gazebo
Description: Metapackage of software for simulating Leo Rover

## ros-melodic-leo-simulator 0.2.0

=== debian/changelog ===
ros-melodic-leo-simulator (0.2.0-1bionic) bionic; urgency=high



 -- Błażej Sowa <blazej@turtlerover.com>  Fri, 18 Dec 2020 00:00:00 -0000

ros-melodic-leo-simulator (0.1.3-1bionic) bionic; urgency=high



 -- Błażej Sowa <blazej@turtlerover.com>  Sat, 05 Dec 2020 00:00:00 -0000

ros-melodic-leo-simulator (0.1.2-1bionic) bionic; urgency=high

  * Add leo_simulator metapackage

 -- Błażej Sowa <blazej@turtlerover.com>  Tue, 06 Oct 2020 00:00:00 -0000

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-leo-simulator//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
